curl --request GET \
--url https://api.togai.com/addons/{addon_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/addons/{addon_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/addons/{addon_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"type": "LICENSE",
"id": "addon.1zYnCiM9Bpg.1zYn",
"createdAt": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"displayName": "<string>",
"billableName": "<string>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Get an addon
Get details of an addon
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
50"addon.1zYnCiM9Bpg.lv25y"
Response
Response for Create and Get addons requests
Request to create an addon
Name of addon
255LICENSE: Addon can be used in license rate cards FIXED_FEE: Addon can be used in fixed fee rate cards CREDIT_GRANT: Addon can be used in credit grant rate cards NAMED_LICENSE: Addon can be used in license rate cards
LICENSE, FIXED_FEE, CREDIT_GRANT, NAMED_LICENSE Id of addon
"addon.1zYnCiM9Bpg.1zYn"
Created Time of addon
status of addon
ACTIVE, ARCHIVED "ACTIVE"
Display name of addon. This is an auto-generated field which contains billableName of addon. If billableName is not provided, name will be used as display name.
Billable name of addon. Billable name takes precedence over name to display in invoice.
255